<TABLE class="xmtable" border=0 align="center" cellPadding=0 cellSpacing=12 bgcolor="#FFFFFF">
  <tr> 
    <td  height="450" valign="top" Class="tdbg_left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
        <td height="10"><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td><% call ShowUserLogin() %>              </td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td height="5"></td>
      </tr>
    </table>
      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="34" class="title_left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;About 
            us </td>
        </tr>
        <%
Set rslist = Server.CreateObject("ADODB.Recordset")
sql="select Title from Aboutus where Language='0' order by Aboutusorder"
rslist.open sql,conn,1,3
do while not rslist.eof
%>
        <tr>
          <td height="20"><div align="center"><a href="Aboutus.asp?Title=<%=rslist("Title")%>"><%=rslist("Title")%></a></div></td>
        </tr>
        <TR>
          <TD 
                            height=1 colspan="2" 
                            background=img/naSzarym.gif><IMG height=1 src="img/1x1_pix.gif" 
                              width=10></TD>
        </TR>
        <%rslist.movenext 
loop%>
        <tr>
          <td height="20"><div align="center"><a href="EnCulture.asp">Culture</a></div></td>
        </tr>
        <TR>
          <TD 
                            height=1 colspan="2" 
                            background=img/naSzarym.gif><IMG height=1 src="img/1x1_pix.gif" 
                              width=10></TD>
        </TR>
      </table>
      </td>
<TD width=1 background=images/MainLine.gif></TD>    
    <td width="670" valign="top" bgcolor="#FFFFFF"><table width="670" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td><% If IsFlash1="Yes" Then %>
            <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="<%=width1%>" height="<%=High1%>">
              <param name="movie" value="<%=enBannerUrl1%>">
              <param name="quality" value="high">
              <param name="wmode" value="transparent">
              <embed src="<%=enBannerUrl1%>" width="<%=width1%>" height="<%=High1%>" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" wmode="transparent"></embed>
            </object>
            <% Else %>
            <img src="<%=enBannerUrl1%>" width="<%=width1%>" height="<%=High1%>">
            <% end If%>
        </td>
      </tr>
    </table>
      <br>
      <TABLE cellSpacing=0 cellPadding=0 width="100%" 
                              border=0>
        <TBODY>
          <TR>
            <TD class="title_b"></TD>
            <TD><TABLE cellSpacing=0 cellPadding=0 width="100%" 
                                border=0>
                <TBODY>
                  <TR>
                    <TD width=98 class="title_c" style="text-align:center;">Culture</TD>
                    <TD width="561" class="title_right">　</TD>
                  </TR>
                </TBODY>
            </TABLE></TD>
          </TR>
          <TR>
            <TD vAlign=bottom colSpan=2 height=5><TABLE cellSpacing=0 cellPadding=0 width="100%" 
                                border=0>
                <TBODY>
                  <TR>
                    <TD bgColor=#e3e3e3 
                                height=1></TD>
                  </TR>
                </TBODY>
            </TABLE></TD>
          </TR>
        </TBODY>
      </TABLE>
      <%
flag="尚未处理"
set rs=server.createobject("adodb.recordset")
sqltext="select * from culture where Language='0' Order BY id desc"
rs.open sqltext,conn,1,1
dim PerPage
PerPage=10
'假如没有数据时
If rs.eof and rs.bof then
response.write "<p align='center'><font color='#ff0000'>还没任何文章</font></p>"
'response.end
End if
'取得页数,并判断用户输入的是否数字类型的数据，如不是将以第一页显示
text="0123456789"
Rs.PageSize=PerPage
for i=1 to len(request("page"))
checkpage=instr(1,text,mid(request("page"),i,1))
if checkpage=0 then
exit for
end if
next

If checkpage<>0 then
  If NOT IsEmpty(request("page")) Then
   CurrentPage=Cint(request("page"))
   If CurrentPage < 1 Then CurrentPage = 1 
   If CurrentPage > Rs.PageCount Then CurrentPage = Rs.PageCount 
  Else
   CurrentPage= 1
  End If
   If not Rs.eof Then Rs.AbsolutePage = CurrentPage end if
Else
 CurrentPage=1
End if

call list

'显示帖子的子程序
Sub list()%>
      <table width="100%" border="0" align="center" cellpadding="0" cellspacing="3">
        <tr>
          <td height="8" colspan="3"></td>
        </tr>
        <%
if not rs.eof then
i=1
do while not rs.eof
%>
        <tr>
          <td width="5%" height="18">&nbsp;&nbsp;<img src="Img/dot.gif" width="7" height="11">&nbsp; </td>
          <td style='BORDER-bottom: #999999 1px dotted' width="76%"><a href="EnculturenewsInfo.asp?id=<%=rs("id")%>"><%=rs("title")%></a>&nbsp;<font color="#0066CC" face="Arial">&nbsp;</font>&nbsp;
              <%if rs("time")=date() then%>
              <strong><font color="#FF0000" face="Arial">New</font></strong>
              <%end if%>
          </td>
          <td style='BORDER-bottom: #999999 1px dotted' width="19%"><%=rs("time")%></td>
        </tr>
        <%
i=i+1
if i > Perpage then exit do
rs.movenext
loop
end if
%>
        <tr>
          <td height="8" colspan="3"></td>
        </tr>
      </table>
      <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="right">
              <%
Response.write "Total"
Response.write "Total" & Cstr(Rs.RecordCount) & "Record&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
Response.write "No" & Cstr(CurrentPage) &  "/" & Cstr(rs.pagecount) & "&nbsp;"
If currentpage > 1 Then
response.write "<a href='Culture.asp?&page="+cstr(1)+"'>&nbsp;First Page&nbsp;</a>"
Response.write "<a href='Culture.asp?page="+Cstr(currentpage-1)+"'>&nbsp;Previous Page&nbsp;</a>"
Else
Response.write "&nbsp;Previous Page&nbsp;"
End if
If currentpage < Rs.PageCount Then
Response.write "<a href='Culture.asp?page="+Cstr(currentPage+1)+"'>&nbsp;Next Page&nbsp;</a>"
Response.write "<a href='Culture.asp?page="+Cstr(Rs.PageCount)+"'>&nbsp;Last Page&nbsp;</a>"
Else
Response.write ""
Response.write "&nbsp;Next Page&nbsp;"
End if
Response.write "Go"
response.write"<select name='sel_page' onChange='javascript:location=this.options[this.selectedIndex].value;'>"
    for i = 1 to Rs.PageCount
       if i = currentpage then 
          response.write"<option value='Culture.asp?page="&i&"&id="&id&"' selected>"&i&"</option>"
       else
          response.write"<option value='Culture.asp?page="&i&"&id="&id&"'>"&i&"</option>"
       end if
    next
response.write"</select>Page"
%>
          </div></td>
        </tr>

      </table>
    <%
End sub
%></td>
<TD width=1 background=images/MainLine.gif></TD>    
    <TD width="79" > </TD>
  </tr>
</table>
<%rs.close
set rs=nothing
rslist.close
set rslist=nothing
%>
